View Issue Details

IDProjectCategoryView StatusLast Update
0000309ascendtcltk-guipublic2008-02-10 13:00
Reporterjohn 
Assigned Toben 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000309: crash on loading
DescriptionThere is a crash when running ASCEND Tcl/Tk on FC5 with Tcl/Tk 8.4 and TkTable 2.9. Not sure of the reason just yet.

Haven't been able to reliably reproduce this bug on Ubuntu yet.

A suspect is the 'slv_destroy_parms' routine, but not sure why. Perhaps an issue with memory deallocation by Tcl/Tk, alternatively.

Details attached (additional info)
Additional Information[john@stg-10 ascend]$ tcltk/generic/interface/ascend4

ASCEND modelling environment
Copyright(C) 1997, 2006 Carnegie Mellon University
Copyright(C) 1993-1996 Kirk Andre Abbott, Ben Allan
Copyright(C) 1990, 1993, 1994 Thomas Guthrie Epperly
Built Jan 9 2007 11:50:35 by anonymous

ASCEND comes with ABSOLUTELY NO WARRANTY, and is free software that you may
redistribute within the conditions of the GNU General Public License. See the
included file 'LICENSE.txt' for full details.

base/generic/solver/slv_stdcalls.c:1328 (SlvRegisterStandardClients): Solver 'QRSlv' registered OK
base/generic/solver/slv_stdcalls.c:1328 (SlvRegisterStandardClients): Solver 'CONOPT' registered OK
base/generic/solver/slv_stdcalls.c:1328 (SlvRegisterStandardClients): Solver 'CMSlv' registered OK
base/generic/solver/slv_stdcalls.c:1328 (SlvRegisterStandardClients): Solver 'LRSlv' registered OK
tcltk/generic/interface/Driver.c:525 (AscCheckEnvironVars): No ASCENDDIST var imported, error -1
tcltk/generic/interface/Driver.c:533 (AscCheckEnvironVars): IMPORTING VARS
tcltk/generic/interface/Driver.c:544 (AscCheckEnvironVars): NO ASCENDDIST VAR DEFINED
tcltk/generic/interface/Driver.c:574 (AscCheckEnvironVars): GUESSING ASCENDDIST = /usr/local/share/ascend
tcltk/generic/interface/Driver.c:575 (AscCheckEnvironVars): VAR: ASCENDDIST
tcltk/generic/interface/Driver.c:575 (AscCheckEnvironVars): ENVCMD: ASCENDDIST=/usr/local/share/ascend
tcltk/generic/interface/Driver.c:577 (AscCheckEnvironVars): RETRIEVED ASCENDDIST = /usr/local/share/ascend
tcltk/generic/interface/Driver.c:487 (printenv): VARS = 4
tcltk/generic/interface/Driver.c:594 (AscCheckEnvironVars): VAR: ASCENDTK
tcltk/generic/interface/Driver.c:594 (AscCheckEnvironVars): ENVCMD: ASCENDTK=/home/john/ascend/tcltk/TK
tcltk/generic/interface/Driver.c:598 (AscCheckEnvironVars): NO ASCENDBITMAPS VAR DEFINED
tcltk/generic/interface/Driver.c:601 (AscCheckEnvironVars): VAR: ASCENDBITMAPS
tcltk/generic/interface/Driver.c:601 (AscCheckEnvironVars): ENVCMD: ASCENDBITMAPS=/home/john/ascend/tcltk/TK/bitmaps
tcltk/generic/interface/Driver.c:620 (AscCheckEnvironVars): CHECKING FOR AscendRC FILE
source /home/john/ascend/tcltk/TK/GlobalProc.tcl
Library directories:
/home/john/ascdata:/home/john/ascend/models
source /home/john/ascend/tcltk/TK/View.tcl
source /home/john/ascend/tcltk/TK/ascend.ad
source /home/john/ascend/tcltk/TK/main.tcl
tk sourced
loading templates from /home/john/ascend/tcltk/TK/templates/
source /home/john/ascend/tcltk/TK/templates/AscMonoEntry1.t
source /home/john/ascend/tcltk/TK/templates/AscMonoEntry2.t
source /home/john/ascend/tcltk/TK/templates/AscMonoEntry4.t
source /home/john/ascend/tcltk/TK/templates/AscConfirm.t
source /home/john/ascend/tcltk/TK/templates/ascfontsel.tcl
source /home/john/ascend/tcltk/TK/templates/balloon.tcl
source /home/john/ascend/tcltk/TK/templates/ascparm.tcl
source /home/john/ascend/tcltk/TK/templates/ascKeepOnTop.tcl
source /home/john/ascend/tcltk/TK/templates/ascListSelect.tcl
source /home/john/ascend/tcltk/TK/templates/ascListSelectB1.tcl
source /home/john/ascend/tcltk/TK/templates/amlscroll.tcl
source /home/john/ascend/tcltk/TK/templates/asctkfbox84.tcl
source /home/john/ascend/tcltk/TK/templates/ascdialog.tcl
source /home/john/ascend/tcltk/TK/templates/ascMsgBox.tcl
source /home/john/ascend/tcltk/TK/ascplotproc.tcl
source /home/john/ascend/tcltk/TK/ascplot.tcl
source /home/john/ascend/tcltk/TK/mergedat.tcl
source /home/john/ascend/tcltk/TK/ascStudy.tcl
source /home/john/ascend/tcltk/TK/callback.tcl
source /home/john/ascend/tcltk/TK/notebox.tcl
templates loaded
All windows will be loaded
........
source /home/john/ascend/tcltk/TK/ToolboxProc.tcl
source /home/john/ascend/tcltk/TK/UtilProc.tcl
source /home/john/ascend/tcltk/TK/DisplayProc.tcl
source /home/john/ascend/tcltk/TK/UnitsProc.tcl
source /home/john/ascend/tcltk/TK/ProbeProc.tcl
source /home/john/ascend/tcltk/TK/LibraryProc.tcl
source /home/john/ascend/tcltk/TK/TypetreeProc.tcl
source /home/john/ascend/tcltk/TK/BrowserProc.tcl
source /home/john/ascend/tcltk/TK/DebugProc.tcl
source /home/john/ascend/tcltk/TK/MtxProc.tcl
source /home/john/ascend/tcltk/TK/SolverProc.tcl
source /home/john/ascend/tcltk/TK/ScriptProc.tcl
source /home/john/ascend/tcltk/TK/WWWHelpProc.tcl
source /home/john/ascend/tcltk/TK/HubProc.tcl
source /home/john/ascend/tcltk/TK/mps.tcl
source /home/john/ascend/tcltk/TK/CallbackProc.tcl
source /home/john/ascend/tcltk/TK/NoteboxProc.tcl
source /home/john/ascend/tcltk/TK/methods.tcl
base/generic/solver/slv.c:1204 (slv_destroy_parms): Destroyed slv_parameters_t
*** glibc detected *** tcltk/generic/interface/ascend4: munmap_chunk(): invalid pointer: 0x0875f2e0 ***
======= Backtrace: =========
/lib/libc.so.6(__libc_free+0x179)[0x39f070]
/home/john/ascend/libascend.so(slv_destroy_parms+0x142)[0xd12701]
/home/john/ascend/tcltk/generic/interface/libascendtcl.so[0x6400ee]
/usr/lib/libtcl8.4.so(TclInvokeStringCommand+0x6e)[0xa72cfe]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so[0xaa1642]
/usr/lib/libtcl8.4.so(TclCompEvalObj+0x9c)[0xaa54bc]
/usr/lib/libtcl8.4.so(TclObjInterpProc+0x2dc)[0xad241c]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so[0xaa1642]
/usr/lib/libtcl8.4.so(TclCompEvalObj+0x9c)[0xaa54bc]
/usr/lib/libtcl8.4.so(TclObjInterpProc+0x2dc)[0xad241c]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so[0xaa1642]
/usr/lib/libtcl8.4.so(TclCompEvalObj+0x9c)[0xaa54bc]
/usr/lib/libtcl8.4.so(TclObjInterpProc+0x2dc)[0xad241c]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so[0xaa1642]
/usr/lib/libtcl8.4.so(TclCompEvalObj+0x9c)[0xaa54bc]
/usr/lib/libtcl8.4.so(Tcl_EvalObjEx+0x69)[0xa757d9]
/usr/lib/libtcl8.4.so(Tcl_SwitchObjCmd+0x45e)[0xa846ae]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so[0xaa1642]
/usr/lib/libtcl8.4.so(TclCompEvalObj+0x9c)[0xaa54bc]
/usr/lib/libtcl8.4.so(TclObjInterpProc+0x2dc)[0xad241c]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so[0xaa1642]
/usr/lib/libtcl8.4.so(TclCompEvalObj+0x9c)[0xaa54bc]
/usr/lib/libtcl8.4.so(Tcl_EvalObjEx+0x69)[0xa757d9]
/usr/lib/libtcl8.4.so(Tcl_IfObjCmd+0x1b7)[0xa82247]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so(Tcl_EvalEx+0x40f)[0xa74c1f]
/usr/lib/libtcl8.4.so(Tcl_FSEvalFile+0x20d)[0xabefdd]
/usr/lib/libtcl8.4.so(Tcl_SourceObjCmd+0x56)[0xa84ff6]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x2fb)[0xa7468b]
/usr/lib/libtcl8.4.so(Tcl_EvalEx+0x40f)[0xa74c1f]
/usr/lib/libtcl8.4.so(Tcl_FSEvalFile+0x20d)[0xabefdd]
/usr/lib/libtcl8.4.so(Tcl_EvalFile+0x41)[0xabf0f1]
/usr/lib/libtcl8.4.so(Tcl_SourceRCFile+0xc1)[0xaebb01]
/home/john/ascend/tcltk/generic/interface/libascendtcl.so(AscDriver+0x457)[0x64e9fb]
tcltk/generic/interface/ascend4[0x8048476]
/lib/libc.so.6(__libc_start_main+0xdc)[0x34d4e4]
tcltk/generic/interface/ascend4[0x80483d1]
======= Memory map: ========
00110000-00112000 r-xp 00000000 fd:00 554909 /lib/libdl-2.4.so
00112000-00113000 r-xp 00001000 fd:00 554909 /lib/libdl-2.4.so
00113000-00114000 rwxp 00002000 fd:00 554909 /lib/libdl-2.4.so
00114000-00116000 r-xp 00000000 fd:00 1580816 /usr/lib/libXau.so.6.0.0
00116000-00117000 rwxp 00001000 fd:00 1580816 /usr/lib/libXau.so.6.0.0
00117000-0011c000 r-xp 00000000 fd:00 1580842 /usr/lib/libXdmcp.so.6.0.0
0011c000-0011d000 rwxp 00004000 fd:00 1580842 /usr/lib/libXdmcp.so.6.0.0
0011d000-00125000 r-xp 00000000 fd:00 1590022 /usr/lib/libXrender.so.1.3.0
00125000-00126000 rwxp 00007000 fd:00 1590022 /usr/lib/libXrender.so.1.3.0
00127000-00206000 r-xp 00000000 fd:00 694340 /usr/lib/libtk8.4.so
00206000-00212000 rwxp 000df000 fd:00 694340 /usr/lib/libtk8.4.so
00212000-00222000 r-xp 00000000 fd:00 555129 /lib/libpthread-2.4.so
00222000-00223000 r-xp 0000f000 fd:00 555129 /lib/libpthread-2.4.so
00223000-00224000 rwxp 00010000 fd:00 555129 /lib/libpthread-2.4.so
00224000-00226000 rwxp 00224000 00:00 0
00226000-0022f000 r-xp 00000000 fd:00 554949 /lib/libnss_files-2.4.so
0022f000-00230000 r-xp 00008000 fd:00 554949 /lib/libnss_files-2.4.so
00230000-00231000 rwxp 00009000 fd:00 554949 /lib/libnss_files-2.4.so
00231000-0028b000 r-xp 00000000 fd:00 489622 /usr/lib/libgfortran.so.0.0.0
0028b000-0028c000 rwxp 00059000 fd:00 489622 /usr/lib/libgfortran.so.0.0.0
0028c000-00290000 rwxp 0028c000 00:00 0
00290000-00294000 r-xp 00000000 fd:00 1590809 /usr/lib/libXfixes.so.3.0.0
00294000-00295000 rwxp 00003000 fd:00 1590809 /usr/lib/libXfixes.so.3.0.0
00295000-00299000 r-xp 00000000 fd:00 554917 /lib/libnss_dns-2.4.so
00299000-0029a000 r-xp 00003000 fd:00 554917 /lib/libnss_dns-2.4.so
0029a000-0029b000 rwxp 00004000 fd:00 554917 /lib/libnss_dns-2.4.so
0029b000-002a6000 r-xp 00000000 fd:00 555057 /lib/libgcc_s-4.1.1-20060525.so.1
002a6000-002a7000 rwxp 0000a000 fd:00 555057 /lib/libgcc_s-4.1.1-20060525.so.1
002f6000-0030f000 r-xp 00000000 fd:00 554882 /lib/ld-2.4.so
0030f000-00310000 r-xp 00018000 fd:00 554882 /lib/ld-2.4.so
00310000-00311000 rwxp 00019000 fd:00 554882 /lib/ld-2.4.so
00313000-00336000 r-xp 00000000 fd:00 554911 /lib/libm-2.4.so
00336000-00337000 r-xp 00022000 fd:00 554911 /lib/libm-2.4.so
00337000-00338000 rwxp 00023000 fd:00 554911 /lib/libm-2.4.so
00338000-00465000 r-xp 00000000 fd:00 554898 /lib/libc-2.4.so
00465000-00467000 r-xp 0012d000 fd:00 554898 /lib/libc-2.4.so
00467000-00468000 rwxp 0012f000 fd:00 554898 /lib/libc-2.4.so
00468000-0046b000 rwxp 00468000 00:00 0
004af000-004c9000 r-xp 00000000 fd:00 1590992 /usr/lib/libg2c.so.0.0.0
004c9000-004ca000 rwxp 0001a000 fd:00 1590992 /usr/lib/libg2c.so.0.0.0
004ca000-004cd000 rwxp 004ca000 00:00 0
004cd000-005c6000 r-xp 00000000 fd:00 1581071 /usr/lib/libX11.so.6.2.0
005c6000-005ca000 rwxp 000f9000 fd:00 1581071 /usr/lib/libX11.so.6.2.0
00607000-0066a000 r-xp 00000000 fd:00 530471 /home/john/ascend/tcltk/generic/interface/libascendtcl.so
0066a000-0066c000 rwxp 00063000 fd:00 530471 /home/john/ascend/tcltk/generic/interface/libascendtcl.so
0066c000-0067e000 rwxp 0066c000 00:00 0
0067e000-007c2000 r-xp 00000000 fd:00 489620 /usr/lib/libconsub3.so
007c2000-007c4000 rwxp 00144000 fd:00 489620 /usr/lib/libconsub3.so
0080d000-00827000 r-xp 00000000 fd:00 816316 /usr/lib/tktable2.9/libTktable2.9.so
00827000-00831000 rwxp 00019000 fd:00 816316 /usr/lib/tktable2.9/libTktable2.9.so
0084d000-00856000 r-xp 00000000 fd:00 1590810 /usr/lib/libXcursor.so.1.0.2
00856000-00857000 rwxp 00008000 fd:00 1590810 /usr/lib/libXcursor.so.1.0.2
009bf000-009ce000 r-xp 00000000 fd:00 554919 /lib/libresolv-2.4.so
009ce000-009cf000 r-xp 0000e000 fd:00 554919 /lib/libresolv-2.4.so
009cf000-009d0000 rwxp 0000f000 fd:00 554919 /lib/libresolv-2.4.so
009d0000-009d2000 rwxp 009d0000 00:00 0
00a53000-00b0e000 r-xp 00000000 fd:00 1591022 /usr/lib/libtcl8.4.so
00b0e000-Aborted
[john@stg-10 ascend]$
TagsNo tags attached.

Relationships

Activities

john

2007-01-10 04:11

administrator   ~0000409

Note, bug applies to extfn branch.

john

2007-01-10 13:52

administrator   ~0000420

Fixed in changeset 1283

Issue History

Date Modified Username Field Change
2007-01-10 04:11 john New Issue
2007-01-10 04:11 john Status new => assigned
2007-01-10 04:11 john Assigned To => ben
2007-01-10 04:11 john Target release => 0.9.6
2007-01-10 04:11 john Note Added: 0000409
2007-01-10 13:52 john Status assigned => resolved
2007-01-10 13:52 john Fixed in Version => 0.9.6
2007-01-10 13:52 john Resolution open => fixed
2007-01-10 13:52 john Note Added: 0000420
2008-02-10 13:00 john Status resolved => closed